Package org.apache.velocity.runtime.resource.loader

# Class URLResourceLoader

java.lang.Object
org.apache.velocity.runtime.resource.loader.ResourceLoader
org.apache.velocity.runtime.resource.loader.URLResourceLoader

public class URLResourceLoader extends ResourceLoader
This is a simple URL-based loader.

Since:
  1.5
Version:
  $Id: URLResourceLoader.java 191743 2005-06-21 23:22:20Z dlr $
Author:
  Geir Magnusson Jr., Nathan Bubna

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<String,String>`
`templateRoots`

### Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

`className, isCachingOn, log, modificationCheckInterval, rsvc`

## Constructor Summary

Constructors
Constructor
Description
`URLResourceLoader()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getLastModified(Resource resource)`
Checks to see when a resource was last modified
`Reader`
`getResourceReader(String name, String encoding)`
Get a Reader so that the Runtime can build a template with it.
`int`
`getTimeout()`
Returns the current, custom timeout setting.
`void`
`init(ExtProperties configuration)`
Initialize the template loader with a a resources class.
`boolean`
`isSourceModified(Resource resource)`
Checks to see if a resource has been deleted, moved or modified.

### Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

`buildReader, commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### templateRoots

protected Map<String,String> templateRoots

## Constructor Details

### URLResourceLoader

public URLResourceLoader()

## Method Details

### init

public void init(ExtProperties configuration)
Description copied from class: `ResourceLoader`
Initialize the template loader with a a resources class.

Specified by:
  `init` in class `ResourceLoader`
Parameters:
  `configuration` -
See Also:
  - `ResourceLoader.init(org.apache.velocity.util.ExtProperties)`

### getResourceReader

public Reader getResourceReader(String name, String encoding) throws ResourceNotFoundException
Get a Reader so that the Runtime can build a template with it.

Specified by:
  `getResourceReader` in class `ResourceLoader`
Parameters:
  `name` - name of template to fetch bytestream of
  `encoding` - asked encoding
Returns:
  InputStream containing the template
Throws:
  `ResourceNotFoundException` - if template not found in the file template path.
Since:
  2.0

### isSourceModified

public boolean isSourceModified(Resource resource)
Checks to see if a resource has been deleted, moved or modified.

Specified by:
  `isSourceModified` in class `ResourceLoader`
Parameters:
  `resource` - Resource The resource to check for modification
Returns:
  boolean True if the resource has been modified, moved, or unreachable

### getLastModified

public long getLastModified(Resource resource)
Checks to see when a resource was last modified

Specified by:
  `getLastModified` in class `ResourceLoader`
Parameters:
  `resource` - Resource the resource to check
Returns:
  long The time when the resource was last modified or 0 if the file can't be reached

### getTimeout

public int getTimeout()
Returns the current, custom timeout setting. If negative, there is no custom timeout.

Returns:
  timeout
Since:
  1.6